import { Font } from '../../../model';
export declare class TextElementModal {
    private _element;
    private font;
    private width;
    private height;
    private isVariableText?;
    get Element(): SVGElement;
    constructor(content: string, font: Font, width: number, height: number, isVariableText?: boolean);
    /**
     * 更新文本内容
     * @param content 新的文本内容
     */
    updateText(content: string): void;
    private getforeignObjectElement;
    private createNewForeignObjectText;
}
